package com.manimarank.spell4wiki.utils

import android.content.Context
import android.net.ConnectivityManager
import android.os.Build

/**
 * Utility class for Network/Internet related functions
 */
object NetworkUtils {

    fun isConnected(context: Context): Boolean {
        val connectivityManager =
                context.getSystemService(Context.CONNECTIVITY_SERVICE) as ConnectivityManager
        return if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.M) {
            connectivityManager.getNetworkCapabilities(connectivityManager.activeNetwork) != null
        } else {
            @Suppress("DEPRECATION")
            connectivityManager.activeNetworkInfo?.isConnected ?: false
        }
    }
}