package com.manimarank.spell4wiki.utils.constants

import com.manimarank.spell4wiki.BuildConfig

/**
 * Object class for Common URL list
 */
object Urls {
    const val COMMONS = "https://commons.wikimedia.org/"
    const val WIKTIONARY = "https://%s.wiktionary.org/"
    const val WIKTIONARY_WEB = "https://%s.m.wiktionary.org/wiki/%s"
    const val AUDIO_FILE_IN_COMMONS = "https://commons.wikimedia.org/wiki/File:%s-%s.ogg"
    const val COMMONS_CONTRIBUTION = "https://commons.m.wikimedia.org/wiki/Special:ListFiles/%s"
    const val JOIN_WIKI = "https://commons.m.wikimedia.org/w/index.php?title=Special:CreateAccount&amp;campaign=Spell4Wiki"
    const val FORGOT_PASSWORD = "https://commons.m.wikimedia.org/wiki/Special:PasswordReset"
    const val APP_LINK = "https://play.google.com/store/apps/details?id=" + BuildConfig.APPLICATION_ID
    const val SOURCE_CODE = "https://github.com/manimaran96/Spell4Wiki/"
    const val GPL_V3 = "https://www.gnu.org/licenses/gpl-3.0.txt"
    const val APACHE = "http://www.apache.org/licenses/LICENSE-2.0.txt"
    const val MIT = "https://opensource.org/licenses/MIT"
    const val VGLUG = "https://vglug.org/"
    const val KANIYAM = "http://www.kaniyam.com/"
    private const val DOC_BASE = "https://github.com/manimaran96/Spell4Wiki/blob/master/docs/"
    const val HOW_TO_CONTRIBUTE = DOC_BASE + "CONTRIBUTING.md#spell4wiki-contribution-guidelines"
    const val HELP_DEVELOPMENT = DOC_BASE + "DONATION.md#donation--spell4wiki-app"
    const val HELP_US_TRANSLATE = DOC_BASE + "CONTRIBUTING.md#translation"
    const val PRIVACY_POLICY = DOC_BASE + "PRIVACY_POLICY.md#privacy-policy--spell4wiki-app"
    const val HOW_TO_ADD_CATEGORY = DOC_BASE + "HOW_TO_ADD_CATEGORY.md#spell4wiki---how-to-add-category-"
    const val FORM_ADD_MY_LANGUAGE = "https://docs.google.com/forms/d/e/1FAIpQLSciqHNw1ZtH1kp2zz2DlKFmIbRZw2K7fhcJdxYNAr6TiAsN2A/viewform"
    const val TELEGRAM_CHANNEL = "https://t.me/spell4wiki"
}
